Bug 1222244 - [abrt] ibus: XKeysymToKeycode(): ibus-ui-gtk3 killed by SIGSEGV
Summary: [abrt] ibus: XKeysymToKeycode(): ibus-ui-gtk3 killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e75f2ecda6d30964579ed656deb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-16 21:56 UTC by Guillaume Poirier-Morency
Modified: 2018-10-15 13:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 05:58:25 UTC


Attachments (Terms of Use)
File: backtrace (24.56 KB, text/plain)
2015-05-16 21:56 UTC, Guillaume Poirier-Morency
no flags Details
File: cgroup (190 bytes, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: core_backtrace (8.09 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: dso_list (8.49 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: environ (972 bytes, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: maps (38.91 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: namespaces (85 bytes, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: open_fds (1.03 KB, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details
File: var_log_messages (660 bytes, text/plain)
2015-05-16 21:57 UTC, Guillaume Poirier-Morency
no flags Details

Description Guillaume Poirier-Morency 2015-05-16 21:56:56 UTC
Description of problem:


Version-Release number of selected component:
ibus-1.5.10-4.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: XKeysymToKeycode
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     4027
kernel:         4.0.2-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XKeysymToKeycode at XKBBind.c:157
 #1 keybinding_manager_bind at keybindingmanager.c:210
 #2 panel_keybinding_manager_bind at panel.c:1286
 #3 panel_bind_switch_shortcut at panel.c:1350
 #4 panel_construct at panel.c:683
 #5 panel_new at panel.c:709
 #6 application_bus_name_acquired_cb at application.c:220
 #7 _application_bus_name_acquired_cb_gd_bus_signal_callback at application.c:166
 #8 emit_signal_instance_in_idle_cb at gdbusconnection.c:3753
 #13 gtk_main at gtkmain.c:1219

Comment 1 Guillaume Poirier-Morency 2015-05-16 21:56:59 UTC
Created attachment 1026323 [details]
File: backtrace

Comment 2 Guillaume Poirier-Morency 2015-05-16 21:57:00 UTC
Created attachment 1026324 [details]
File: cgroup

Comment 3 Guillaume Poirier-Morency 2015-05-16 21:57:01 UTC
Created attachment 1026325 [details]
File: core_backtrace

Comment 4 Guillaume Poirier-Morency 2015-05-16 21:57:02 UTC
Created attachment 1026326 [details]
File: dso_list

Comment 5 Guillaume Poirier-Morency 2015-05-16 21:57:03 UTC
Created attachment 1026327 [details]
File: environ

Comment 6 Guillaume Poirier-Morency 2015-05-16 21:57:03 UTC
Created attachment 1026328 [details]
File: limits

Comment 7 Guillaume Poirier-Morency 2015-05-16 21:57:05 UTC
Created attachment 1026329 [details]
File: maps

Comment 8 Guillaume Poirier-Morency 2015-05-16 21:57:06 UTC
Created attachment 1026330 [details]
File: mountinfo

Comment 9 Guillaume Poirier-Morency 2015-05-16 21:57:06 UTC
Created attachment 1026331 [details]
File: namespaces

Comment 10 Guillaume Poirier-Morency 2015-05-16 21:57:07 UTC
Created attachment 1026332 [details]
File: open_fds

Comment 11 Guillaume Poirier-Morency 2015-05-16 21:57:08 UTC
Created attachment 1026333 [details]
File: proc_pid_status

Comment 12 Guillaume Poirier-Morency 2015-05-16 21:57:09 UTC
Created attachment 1026334 [details]
File: var_log_messages

Comment 13 fujiwara 2015-05-18 05:18:10 UTC
It seems your desktop does not have XKB.
Are you still reproduce your problem?

ibus requires XKB.

% rpm -q --requires ibus |grep xkb
xorg-x11-xkb-utils
%  rpm -q --requires xorg-x11-xkb-utils | grep xkb
libxkbfile.so.1()(64bit)

(In reply to Guillaume Poirier-Morency from comment #1)
> Created attachment 1026323 [details]
> File: backtrace

Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x0000003348c8fd57 in XKeysymToKeycode (dpy=0x9170b0, ks=ks@entry=32) at XKBBind.c:157
157	    if (_XkbUnavailable(dpy))

#1  0x0000000000411638 in keybinding_manager_bind (self=self@entry=0xa12220, keysym=keysym@entry=32, modifiers=0, handler=handler@entry=0x415810 <___lambda38__keybinding_manager_keybinding_handler_func>, handler_target=handler_target@entry=0x92b130) at keybindingmanager.c:210
#2  0x00000000004140f5 in panel_keybinding_manager_bind (accelerator=0xa30510 "<Super>space", keybinding_manager=0xa12220, self=0x92b130) at panel.c:1286
#3  panel_bind_switch_shortcut (self=self@entry=0x92b130) at panel.c:1350
#4  0x0000000000416930 in panel_construct (object_type=<optimized out>, bus=<optimized out>) at panel.c:683
#5  0x0000000000417945 in panel_new (bus=<optimized out>) at panel.c:709
#6  0x0000000000409d4d in application_bus_name_acquired_cb (parameters=<optimized out>, signal_name=<optimized out>, interface_name=<optimized out>, object_path=<optimized out>, sender_name=<optimized out>, connection=<optimized out>, self=0x8f9010) at application.c:220
#7  _application_bus_name_acquired_cb_gd_bus_signal_callback (connection=<optimized out>, sender_name=<optimized out>, object_path=<optimized out>, interface_name=<optimized out>, signal_name=<optimized out>, parameters=<optimized out>, self=0x8f9010) at application.c:166
#8  0x00000033070cb864 in emit_signal_instance_in_idle_cb (data=0x7f0538005850) at gdbusconnection.c:3753
#9  0x00000030d0a4a0ba in g_main_dispatch (context=0x93cae0) at gmain.c:3122

Comment 14 fujiwara 2015-08-05 05:58:25 UTC
You don't have to run ibus-daemon by yourself in GNOME desktop.


Note You need to log in before you can comment on or make changes to this bug.